**`Robin Dorpe`[NAME]** -NL- **`Senior iOS Developer`[EMPLOYER_ROLE]** (Swift & Objective-C) -NL- Proﬁle -NL- Enthusiastic iOS developer with nine years of experience. Worked on products -NL- used by millions of users every day and greenﬁeld projects from inception to -NL- scaling up to a wider user base. Co-founded and successfully launched mobile -NL- products on the AppStore, both in Swift and Objective-C. -NL- Worked with many Agile teams, practiced XP programming such as code -NL- review and pair programming and received a certiﬁcation as a Professional -NL- Scrum Master. On top of profound experience in mobile development also -NL- worked with back-end technologies, blockchain, responsive websites, TDD and -NL- databases. -NL- Passionate about product development and entrepreneurship. Enjoy building -NL- and delivering amazing products that add value to users. Perfectionist and -NL- problem solver at core. -NL- **`Employment History`[WORK_EXPERIENCE_HEADING]** -NL- **`Senior iOS Developer`[EMPLOYER_ROLE]** at **`Laundrapp`[EMPLOYER_COMPANY_NAME]**, London -NL- June 2019 - Current (3 months contract renewed 2 times) -NL- Developed, refactored and maintained the iOS app. -NL- • Developed the app in Swift 5 / Objective C -NL- • Helped getting the app ready for migration of Zipjet to **`Laundrapp`[EMPLOYER_COMPANY_NAME]** -NL- • Rewrite the iOS app from scratch in latest Swift -NL- **`Senior iOS Developer`[EMPLOYER_ROLE]** at **`Canon`[EMPLOYER_COMPANY_NAME]**, London -NL- February 2017 - June 2019 (6 months contract renewed 4 times) -NL- Developed, refactored and maintained the image and video cloud storage app -NL- Irista (iOS/tvOS). -NL- • Developed the app in Swift 4 -NL- • Managed and onboard junior developers to bring them up to speed -NL- • Built new complex features including image editing, drag and drop, text -NL- insertion and editing… -NL- • Refactored the app to use CoreData -NL- • Redesigned the database -NL- • Enforced Agile best practices and acted as Scrum Master -NL- **`iOS Developer`[EMPLOYER_ROLE]** at **`WeSwap`[EMPLOYER_COMPANY_NAME]** (contract), London -NL- February 2016 - February 2017 (3 months contract renewed 3 times) -NL- Developed, refactored and maintained the social currency swapping iOS app -NL- **`WeSwap`[EMPLOYER_COMPANY_NAME]**. -NL- • Refactored the app from Objective-C to Swift -NL- • Implemented localisation -NL- • Developed new features working closely with the product team -NL- • Worked in a Scrum environment -NL- Details -NL- (+44) 7426 956643 -NL- **`rdorpe@gmail.com`[EMAILS_EMAIL]** -NL- LinkedIn -NL- **`Skills`[SKILLS_HEADING]** -NL- Swift 5 -NL- Objective-C -NL- Xcode 10 -NL- SwiftUI -NL- XCUnit & XCUITest -NL- ARKit -NL- CoreData -NL- Realm -NL- MapKit -NL- Cocoa Pods -NL- NSAppTransportSecurity -NL- MVC/MVVM/CleanSwift -NL- AWS -NL- Ruby On Rails -NL- React -NL- Node.js -NL- SQL -NL- HTML, CSS, Javascript -NL- Git -NL- CI/CD (Fastlane, Jenkins) -NL- **`Languages`[OTHERS_HEADING]** -NL- English -NL- French -NL- **`Co-Founder`[EMPLOYER_ROLE]** at **`Pixit`[EMPLOYER_COMPANY_NAME]**, Hong Kong -NL- September 2014 - December 2015 -NL- Fully developed an image sharing game with social integration and image manipulation. -NL- Software Engineer at **`Bitgame Labs`[EMPLOYER_COMPANY_NAME]**, Hong Kong -NL- October 2014 - January 2016 -NL- Developed and maintained a sports betting platform and online casino website (desktop, mobile, -NL- backend) taking bets in Bitcoin. -NL- Mobile **`Application Developer`[EMPLOYER_ROLE]** at **`Everyday`[EMPLOYER_COMPANY_NAME]**, Hong Kong -NL- March 2014 - October 2014 -NL- Developed an event oriented iOS application, along with the back-end and user experience. -NL- **`Mobile Application Developer `[EMPLOYER_ROLE]**& Consultant at **`Maaii`[EMPLOYER_COMPANY_NAME]**, Hong Kong -NL- February 2013 - September 2015 -NL- Helped build a messaging and VoIP iOS application. Responsible for building and maintaining main -NL- features. -NL- **`Application Developer`[EMPLOYER_ROLE]** at **`Chance Software`[EMPLOYER_COMPANY_NAME]**, Hong Kong -NL- October 2011 - January 2013 -NL- Developed and maintained iOS applications and backends solution to support them. -NL- **`Education`[EDUCATION_HEADING]** -NL- **`Master of Science`[EDUCATION_DEGREE]** in **`Computer Science`[EDUCATION_COURSE]** at **`City University of Hong Kong`[EDUCATION_INSTITUTE]**, Hong Kong -NL- 2015 -NL- GPA – 4.09/4.30. -NL- Thesis – New Designs for Secure Versatile Query over Encrypted Data -NL- Awards - Exemplary Evidence of Students’ Discoveries and Innovations, The Department of Computer -NL- Science Achievement Scholarships 2014 – Department top scorer -NL- Supervisor – Dr. WANG Cong -NL- Professional Scrum Master at SCRUM.org, Hong Kong -NL- 2014 -NL- Certiﬁcate -NL- **`Bachelor of Science`[EDUCATION_DEGREE]** in **`Applied Physics`[EDUCATION_COURSE]** at **`City University of Hong Kong`[EDUCATION_INSTITUTE]**, Hong Kong -NL- 2013 -NL- Minor in **`Computer Science`[EDUCATION_COURSE]** -NL- Upper Second Class Honours -NL- Thesis – New Method to Calculate The Ground-state of Helium-like Atoms -NL- Award - Best Final Year Project of the Department of **`Applied Physics`[EDUCATION_COURSE]** and Material science -NL- Supervisor – Dr. CHEUNG H.F. -NL- 